Rewards
Update Reward
Set the reward’s state to ‘paid’
PUT
/
v1
/
rewards
/
{id}
Mark Reward as Paid
curl --request PUT \
--url https://api.getreditus.com/api/v1/rewards/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"state": "paid"
}
'import requests
url = "https://api.getreditus.com/api/v1/rewards/{id}"
payload = { "state": "paid" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({state: 'paid'})
};
fetch('https://api.getreditus.com/api/v1/rewards/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"type": "<string>",
"attributes": {
"id": "<string>",
"advocate_id": "<string>",
"advocate_uid": "<string>",
"lead_id": "<string>",
"lead_email": "<string>",
"amount": 123,
"currency": "<string>",
"state": "<string>",
"created_at": 123,
"updated_at": 123
}
}
}{
"errors": [
{
"title": "<string>",
"details": "Reward must be in 'pending' state"
}
]
}{
"errors": [
{
"title": "<string>",
"details": "Reward not found"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Reward ID
Body
application/json
New state to set (currently only 'paid' is supported)
Available options:
paid Response
Reward updated successfully
Show child attributes
Show child attributes
Previous
List Reward TriggersRetrieve a paginated list of reward triggers configured for your referral program. Reward triggers define the conditions and amounts for rewarding advocates.
Next
⌘I
Mark Reward as Paid
